Package org.zkoss.zk.ui

## Class WrongValueException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.zkoss.lang.SystemException
        - - org.zkoss.zk.ui.UiException
          - - org.zkoss.zk.ui.OperationException
            - - org.zkoss.zk.ui.WrongValueException

- All Implemented Interfaces:
    `java.io.Serializable`, `Expectable`, `Messageable`, `MessageConst`
  Direct Known Subclasses:
    `ArithmeticWrongValueException`

      public class WrongValueException
      extends OperationException

  Denotes the value passed to a setter (a.k.a., mutator) of a component is wrong.
  Author:
    tomyeh
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.zkoss.zk.ui.UiException

      `UiException.Aide`

    - ### Nested classes/interfaces inherited from interface org.zkoss.mesg.MessageConst

      `MessageConst.BundleInfo`

  - ### Field Summary

    - ### Fields inherited from class org.zkoss.lang.SystemException

      `_code`

    - ### Fields inherited from interface org.zkoss.mesg.MessageConst

      `NULL_CODE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `WrongValueException()` |
    `WrongValueException​(int code)` |
    `WrongValueException​(int code, java.lang.Object fmtArg)` |
    `WrongValueException​(int code, java.lang.Object[] fmtArgs)` |
    `WrongValueException​(int code, java.lang.Object[] fmtArgs, java.lang.Throwable cause)` |
    `WrongValueException​(int code, java.lang.Object fmtArg, java.lang.Throwable cause)` |
    `WrongValueException​(int code, java.lang.Throwable cause)` |
    `WrongValueException​(java.lang.String s)` |
    `WrongValueException​(java.lang.String msg, java.lang.Throwable cause)` |
    `WrongValueException​(java.lang.Throwable cause)` |
    `WrongValueException​(Component comp, int code)` | Constructs a wrong value exception to show an error box at the client.
    `WrongValueException​(Component comp, int code, java.lang.Object fmtArg)` | Constructs a wrong value exception to show an error box at the client.
    `WrongValueException​(Component comp, int code, java.lang.Object[] fmtArgs)` | Constructs a wrong value exception to show an error box at the client.
    `WrongValueException​(Component comp, java.lang.String msg)` | Constructs a wrong value exception to show an error box at the client.
    `WrongValueException​(Component comp, java.lang.String msg, java.lang.Throwable cause)` | Constructs a wrong value exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Component` | `getComponent()` | Returns the component that causes this exception, or null.

    - ### Methods inherited from class org.zkoss.lang.SystemException

      `getCode`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### WrongValueException

          public WrongValueException​(Component comp,
                                     java.lang.String msg)

      Constructs a wrong value exception to show an error box at the client.
      Parameters:
        `comp` - the component that causes this exception.

    - #### WrongValueException

          public WrongValueException​(Component comp,
                                     int code,
                                     java.lang.Object[] fmtArgs)

      Constructs a wrong value exception to show an error box at the client.
      Parameters:
        `comp` - the component that causes this exception.

    - #### WrongValueException

          public WrongValueException​(Component comp,
                                     int code,
                                     java.lang.Object fmtArg)

      Constructs a wrong value exception to show an error box at the client.
      Parameters:
        `comp` - the component that causes this exception.

    - #### WrongValueException

          public WrongValueException​(Component comp,
                                     int code)

      Constructs a wrong value exception to show an error box at the client.
      Parameters:
        `comp` - the component that causes this exception.

    - #### WrongValueException

          public WrongValueException​(Component comp,
                                     java.lang.String msg,
                                     java.lang.Throwable cause)

      Constructs a wrong value exception.
      Since:
        5.0.11

    - #### WrongValueException

          public WrongValueException​(java.lang.String msg,
                                     java.lang.Throwable cause)

    - #### WrongValueException

          public WrongValueException​(java.lang.String s)

    - #### WrongValueException

          public WrongValueException​(java.lang.Throwable cause)

    - #### WrongValueException

          public WrongValueException()

    - #### WrongValueException

          public WrongValueException​(int code,
                                     java.lang.Object[] fmtArgs,
                                     java.lang.Throwable cause)

    - #### WrongValueException

          public WrongValueException​(int code,
                                     java.lang.Object fmtArg,
                                     java.lang.Throwable cause)

    - #### WrongValueException

          public WrongValueException​(int code,
                                     java.lang.Object[] fmtArgs)

    - #### WrongValueException

          public WrongValueException​(int code,
                                     java.lang.Object fmtArg)

    - #### WrongValueException

          public WrongValueException​(int code,
                                     java.lang.Throwable cause)

    - #### WrongValueException

          public WrongValueException​(int code)

  - ### Method Detail

    - #### getComponent

          public Component getComponent()

      Returns the component that causes this exception, or null.